import pygame

black = 0, 0, 0
white = 255, 255, 255
red = 255, 0, 0
green = 0, 255, 0
blue = 0, 0, 255
bkblue = 17, 17, 87

# Modify these for differing physics results
forcefactor = 20.0
TableAngle = 20
Gravity = 0.0, 0.0

maxballs = 5
screen = None

# This is a list of rectangles that needs to have the original table
# graphics updated
# If this is empty, not table regions are updated, and the array is cleared every frame
UpdateRegions = []

# Score type defaults
ScoreBumper = 1
ScoreElement = 2
ScoreSpinner = 3
ScoreChute = 4

# Sound indexes
SoundBoing          = 0
SoundCrowddoh       = 1
SoundDunk           = 2
SoundExplode        = 3
SoundJounk          = 4
SoundMonitorbeep    = 5
SoundPolyndr        = 6
SoundRocking        = 7
SoundClick1         = 8

VoicePolicetheworld = 9

VoiceDukka          = 10
VoiceOnScreen       = 11

# List of File string names
String_FontFile     = "../font/Wide_awake.ttf"
String_TableLayer1  = "../images/PinballTable_Layer1.png"
String_Launcher     = "../images/Launcher_Polaris.png"
String_Music        = "../music/DJ_Master_Mix.ogg"
String_HighScores   = "./HighScores.txt"
String_Pinball      = "../images/pinball1.png"
String_Numbers      = "../images/Numbers_Wide.png"
String_Particle     = "../images/Particle_Star.png"

String_Special		= "../images/Special_B52.png"
String_SpecialExp	= "../anims/explosion.png"